function [] = buttonCopyOffsets(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

%% Save Applied state
artoa.controller.edit.offsets.saveAppliedState();

%% Get selected index
index = artoaGui.editOffsets.comboboxSoundsourcesToApplied.Value;

%% Copy selected offset columns to Applied columns
appliedOffsetColumn = 'AppliedOffset';
appliedDriftColumn = 'AppliedDrift';
appliedSoundspeedColumn = 'AppliedSoundspeed';

switch artoaGui.editOffsets.comboboxSoundsourcesToApplied.String{index}
    case 'Measured'
        offsetIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedOffsetColumn}));
        driftIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedDriftColumn}));
        soundspeedIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedSoundspeedColumn}));
        offsetColumn = 'OffsetStart';
        driftColumn = 'Drift';
        soundspeedColumn = 'MeasuredSoundspeed';
    case 'Empirical'
        offsetIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedOffsetColumn}));
        driftIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedDriftColumn}));
        soundspeedIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedSoundspeedColumn}));
        offsetColumn = 'EmpiricalOffset';
        driftColumn = 'EmpiricalDrift';
        soundspeedColumn = 'EmpiricalSoundspeed';
    case 'Optimum'
        offsetIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, appliedOffsetColumn});
        driftIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, appliedDriftColumn});
        soundspeedIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, appliedSoundspeedColumn});
        offsetColumn = 'OptimumTotalOffset';
        driftColumn = 'OptimumTotalDrift';
        soundspeedColumn = 'OptimumSoundspeed';
end

offsetIndicesToCopy(1) = false;
driftIndicesToCopy(1) = false;
soundspeedIndicesToCopy(1) = false;

artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, appliedOffsetColumn} = ...
    artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, offsetColumn};
artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, appliedDriftColumn} = ...
    artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, driftColumn};
artoaWorkspace.editOffsets.offsets{soundspeedIndicesToCopy, appliedSoundspeedColumn} = ...
    artoaWorkspace.editOffsets.offsets{soundspeedIndicesToCopy, soundspeedColumn};

%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end

