function [ sorted_float ] = sort_by_profile_number( p_float )
%SORT_BY_PROFILE_NUMBER Gets the input float and sorts its profile by their numbers
%   
%   Parameters:
%   p_float:        Float that will be sorted.
%
%   Returns:
%   sorted_float:   Sorted float by profile number.

% get all profile numbers
profile_numbers = nemo.float.collect(p_float, 'PROFILE_TECHNICAL_DATA', 'xmit_profile_number');

% sort them and get the indices
[~, indices] = sort(profile_numbers);

% create helping variable to check if the float is already sorted
sorted = [1:length(profile_numbers)]';
if indices == sorted
    % indeed it is, so save work and just return the input one :)
    sorted_float = p_float;
    return
end

% sorting required
sorted_float = {};

% indices have already been taken so just run through them
for i = 1:length(p_float)
    sorted_float{i} = p_float{indices(i)};
end


end

