function [ boolean ] = save_startup_messages( p_config, p_startup_messages )
%SAVE_STARTUP_MESSAGES Summary of this function goes here
%   Detailed explanation goes here

%% Initialize return variable
boolean = false;

%% Parameter check
if ~isstruct(p_config) || ~iscell(p_startup_messages)
    disp([ mfilename ': Wrong parameter! Please check your input parameters carefully!']);
    return;
end

%% Save all messages to the specified folder
if ~isfield(p_config.OUTPUT_FILES, 'output_path_startup_messages')
    disp([ mfilename ': Parameter output_path_startup_messages not specified!']);
end

output_folder = p_config.OUTPUT_FILES.output_path_startup_messages;

% remove empty cells if there are some
p_startup_messages = p_startup_messages(~cellfun(@(x) isempty(x), p_startup_messages));

boolean = all(cellfun(@(x) nemo.float.save_startup_message(x, output_folder), p_startup_messages));



end

